package app

import (
	"net/http"

	"znc-server/app/main/api/internal/logic/app"
	"znc-server/app/main/api/internal/svc"
	"znc-server/common/result"
)

func GetAppVersionHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		l := app.NewGetAppVersionLogic(r.Context(), svcCtx)
		resp, err := l.GetAppVersion()
		result.HttpResult(r, w, resp, err)
	}
}
